# $Revision: 1.28 $, $Date: 2010/06/30 07:13:37 $
Summary:	X Keyboard Configuration Database
Summary(pl.UTF-8):	Baza danych konfiguracji klawiatury pod X
Name:		xkeyboard-config
Version:	1.9
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/data/xkeyboard-config/%{name}-%{version}.tar.bz2
# Source0-md5:	1fe14114db8e4f121060663d1fa5e214
URL:		http://www.freedesktop.org/wiki/Software/XKeyboardConfig
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	gettext-devel
# AM_GLIB_GNU_GETTEXT
BuildRequires:	glib2-devel >= 1:2.0
BuildRequires:	intltool >= 0.30
BuildRequires:	rpmbuild(macros) >= 1.446
BuildRequires:	xorg-app-xkbcomp
Provides:	xorg-data-xkbdata
Obsoletes:	xorg-data-xkbdata
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The non-arch keyboard configuration database for X Window System. The
goal is to provide the consistent, well-structured, frequently
released open source of X keyboard configuration data for X Window
System implementations (free, open source and commercial). The project
is targeted to XKB-based systems.

%description -l pl.UTF-8
Niezależna od architektury baza danych konfiguracji klawiatury dla
systemu X Window. Celem jest dostarczenie spójnych, dobrze
zbudowanych, często wydawanych danych konfiguracji klawiatury pod X z
otwartymi źródłami dla implementacji X Window System (wolnodostępnych,
mających otwarte źródła i komercyjnych). Projekt jest przeznaczony dla
systemów opartych na XKB.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%configure \
	--enable-compat-rules \
	--with-xkb-rules-symlink=xorg \
	--with-xkb-base=%{_datadir}/X11/xkb

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_datadir}/X11/xkb/compiled
ln -s /var/lib/xkb $RPM_BUILD_ROOT%{_datadir}/X11/xkb/compiled

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
# it used to be directory in xkbdata
if [ -d %{_datadir}/X11/xkb/symbols/pc ]; then
	mv -b %{_datadir}/X11/xkb/symbols/pc{,.dir}
%banner -e %{name} <<EOF
Check out %{_datadir}/X11/xkb/symbols/pc.dir
for your own files and remove it when done.
EOF
fi
if [ -d %{_datadir}/X11/xkb/compiled ]; then
	rm -rf %{_datadir}/X11/xkb/compiled
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING CREDITS ChangeLog NEWS README TODO docs/H* docs/R*
%{_datadir}/X11/xkb
%{_npkgconfigdir}/xkeyboard-config.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xkeyboard-config.spec,v $
Revision 1.28  2010/06/30 07:13:37  qboosh
- new Source0 URL, updated to 1.9

Revision 1.27  2010/01/27 08:13:55  arekm
- up to 1.8

Revision 1.26  2009/11/30 16:15:05  sparky
- BR: gettext-devel, intltool

Revision 1.25  2009/09/30 07:10:32  arekm
- up to 1.7

Revision 1.24  2009/05/27 06:32:23  arekm
- up to 1.6

Revision 1.23  2009/01/28 07:14:49  arekm
- up to 1.5

Revision 1.22  2008/10/01 06:47:32  arekm
- up to 1.4

Revision 1.21  2008-05-29 12:48:53  gotar
- do not remove anything from directory linked to /etc (containing keyboard
  configurations); http://www.mail-archive.com/pld-devel-pl@lists.pld-linux.org/msg18947.html

Revision 1.20  2008-05-28 06:42:07  arekm
- up to 1.3

Revision 1.19  2008-02-02 22:34:05  arekm
- up to 1.2

Revision 1.18  2008-01-08 16:13:39  glen
- rel 5

Revision 1.17  2007-12-23 23:55:19  glen
- add us_ee patch
- URL update, run dir removal in %pretrans
- rel 4

Revision 1.16  2007-10-02 07:48:38  arekm
- rel 3; stupid upstream replaced tarballs

Revision 1.15  2007/10/01 21:20:24  aflinta
- added sl patch with fixed Slovenian transltaion which brokes xml
- release 2

Revision 1.14  2007/09/26 06:35:40  arekm
- up to 1.1

Revision 1.13  2007/07/12 06:01:20  arekm
- up to 1.0

Revision 1.12  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.10  2007/01/26 07:11:01  arekm
- rel 1

Revision 1.9  2006/12/09 19:37:04  arekm
- rel .4

Revision 1.8  2006/12/08 19:49:53  qboosh
- added pre script to fix upgrade from xkbdata (symbols/pc became file from dir)

Revision 1.7  2006/12/06 19:01:05  qboosh
- License is MIT-style, include its text

Revision 1.6  2006/12/06 09:39:33  qboosh
- pl, unified

Revision 1.5  2006/12/05 21:33:38  arekm
- explict symlink for compiled

Revision 1.4  2006/12/05 21:28:23  arekm
- xorg rules symlink

Revision 1.3  2006/12/04 23:35:45  arekm
- 0.2; BR xorg-app-xkbcomp

Revision 1.2  2006/12/04 18:46:12  arekm
- exclude compiled file

Revision 1.1  2006/12/04 18:43:16  arekm
- new
